import QtQuick 2.3

Item {
    id: button
    width: parent.height; height: width
    enabled: (opacity === 0 || !visible) ? false : true
    clip: true

    signal clicked

    FlyTouchAnimation {
        anchors.margins: -parent.width * 0.2
        mouseArea: mouseArea;
        backColor: root.getColorString(0x33, styles.colors.black)
        frontColor: root.getColorString(0x44, styles.colors.black)
    }

    Image {
        id: img
        width: Math.min(parent.height, parent.width) * 0.6; height: width
        anchors.centerIn: parent
        source: "qrc:/images/x.png"
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: button.clicked()
    }
}
