import QtQuick 2.3

Item {
    id: groupLabel

    property alias text: label.text
    property color color: styles.highlightColor
    property alias leftMargin: label.x
    property bool withButton: false
    property string buttonText: "+"
    signal clicked

    Text {
        id: label
        x: 10; height: parent.height * 0.9
        color: groupLabel.color
        font.pixelSize: styles.label.small; fontSizeMode: Text.VerticalFit
        font.bold: true
        verticalAlignment: Text.AlignBottom
    }

    Rectangle {
        anchors { top: parent.top; right: parent.right; bottom: bottomLine.top; topMargin: parent.height * 0.1 }
        width: /*tabletMode ? 50 :*/ 30 * dpiRatio
        color: mouseArea.pressed ? groupLabel.color : "transparent"
        visible: groupLabel.withButton; enabled: visible

        Text {
            anchors.fill: parent
            text: groupLabel.buttonText
            font.pixelSize: width; fontSizeMode: Text.HorizontalFit
            font.bold: true
            horizontalAlignment: Text.AlignHCenter; verticalAlignment: Text.AlignVCenter
            color: mouseArea.pressed ? styles.colors.white : groupLabel.color
        }

        MouseArea {
            id: mouseArea
            anchors.fill: parent
            onClicked: groupLabel.clicked()
        }
    }

    Rectangle { id: bottomLine; anchors.bottom: parent.bottom; width: parent.width; height: 3; color: groupLabel.color }
}
