import QtQuick 2.3

FlyPage {
    id: lineEditPage

    property var selectFunction
    property alias line: lineEdit

    frontRect.anchors.fill: undefined
    frontRect.anchors.centerIn: frontRect.parent
    frontRect.anchors.verticalCenterOffset: root.virtualKeyboard && (root.virtualKeyboard.y - (frontRect.parent.height / 2 + frontRect.height / 2) < 0)
                                            ? root.virtualKeyboard.y - (frontRect.parent.height / 2 + frontRect.height / 2)
                                            : 0
    frontRect.width: Math.min(600 * dpiRatio, frontRect.parent.width)
    frontRect.height: Math.min(root.itemHeight * 4, frontRect.parent.height)

    titleImage.imagePath: "qrc:/images/listview.png"
    titleImage.imageColorEnabled: false
    titleImage.imageShadow: false
    centerRectShadow: true

    okButtonEnabled: lineEdit.inputText.acceptableInput
    okFunction: convenienceSelectFunction

    function convenienceSelectFunction() {
        if(Qt.inputMethod) Qt.inputMethod.commit()
        lineEditPage.selectFunction(lineEdit.text)
    }

    FlyLineEdit {
        id: lineEdit
        width: centerRect.width - centerRect.width * 0.1
        anchors.centerIn: centerRect
        onEnterClicked: lineEditPage.closePage(true)
    }
}
