import QtQuick 2.3
import QtQuick.Enterprise.VirtualKeyboard 2.0 //1.3

InputPanel {
    id: inputPanel
    width: root.width
    y: root.height
    z: 99

    states: State {
        name: "visible"
        when: Qt.inputMethod.visible
        PropertyChanges {
            target: inputPanel
            y: root.height - inputPanel.height
        }
    }
    transitions: Transition {
        from: ""
        to: "visible"
        reversible: true
        ParallelAnimation {
            NumberAnimation {
                properties: "y"
                duration: 250
                easing.type: Easing.InOutQuad
            }
        }
    }

    function setEnglishLayout() {
        keyboard.localeIndex = keyboard.defaultLocaleIndex
    }
}
